package com.bonus.canteen.core.allocation.canteen.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

@ApiModel("修改食堂/档口/餐线 营业状态DTO")
public class ModifyCanteenStateDTO {
   @ApiModelProperty("食堂/档口 id")
   private @NotNull(
   message = "id 不能为空"
) Long modifyId;
   @ApiModelProperty("营业状态")
   private @NotNull(
   message = "营业状态 不能为空"
) Integer businessState;
   @ApiModelProperty("食堂树类型")
   private @NotNull(
   message = "类型 不能为空"
) Integer canteenTreeType;

   public Long getModifyId() {
      return this.modifyId;
   }

   public Integer getBusinessState() {
      return this.businessState;
   }

   public Integer getCanteenTreeType() {
      return this.canteenTreeType;
   }

   public void setModifyId(final Long modifyId) {
      this.modifyId = modifyId;
   }

   public void setBusinessState(final Integer businessState) {
      this.businessState = businessState;
   }

   public void setCanteenTreeType(final Integer canteenTreeType) {
      this.canteenTreeType = canteenTreeType;
   }

}
